--- Makefile.orig	2013-09-03 04:20:45.000000000 -0500
+++ Makefile	2018-02-26 10:49:23.000000000 -0600
@@ -1,16 +1,13 @@
-CFLAGS = -fPIC -g -O3 -std=c99
-CC = gcc
-# install directory of HDF5 1.8.11 #
-HDF5_INSTALL = /home/det/hdf5-1.8.11/hdf5/
+CFLAGS += -fPIC -std=c99
 MAJOR = 0
 MINOR = 2
 NAME1 = h5zlz4
 VERSION = $(MAJOR).$(MINOR)
 
 
-INCLUDES = -I./ -I$(HDF5_INSTALL)/include 
+INCLUDES = -I./ -I%%PREFIX%%/include
 
-lib: lib$(NAME1).so.$(VERSION)
+lib: lib$(NAME1).dylib.$(VERSION)
 
 $(NAME1).o: $(NAME1).c
 	$(CC) $(CFLAGS) $(INCLUDES) -c $(NAME1).c 
@@ -19,13 +16,15 @@
 	$(CC) $(CFLAGS) $(INCLUDES) -c lz4.c
 
 
-lib$(NAME1).so.$(VERSION): $(NAME1).o lz4.o
-	#$(CC) -shared -Wl,soname,lib$(NAME1).so.$(MAJOR) $^ -o $@ 
-	$(CC) -shared  $^ -o $@ 
-	ln -sf lib$(NAME1).so.$(VERSION) lib$(NAME1).so
-	ln -sf lib$(NAME1).so.$(VERSION) lib$(NAME1).so.$(MAJOR)
+lib$(NAME1).dylib.$(VERSION): $(NAME1).o 
+	$(CC) $^ -o $@ $(LDFLAGS) \
+	      -dynamiclib \
+	      -Wl,-install_name,%%PREFIX%%/lib/hdf5/$@ \
+	      -L%%PREFIX%%/lib -llz4
+	ln -sf lib$(NAME1).dylib.$(VERSION) lib$(NAME1).dylib
+	ln -sf lib$(NAME1).dylib.$(VERSION) lib$(NAME1).dylib.$(MAJOR)
 clean:
-	$(RM) *.o *.so*
+	$(RM) *.o *.dylib*
 
 distclean:		
-	$(RM) *.o *.so*
\ No newline at end of file
+	$(RM) *.o *.dylib*
